{% extends "partials/layout.html.j2" %}
{% block content %}

<ul class="nav nav-tabs">
    <li class="nav-item" role="presentation">
        <button class="nav-link active" id="token-tab" data-bs-toggle="tab" data-bs-target="#token-tab-pane"
            type="button" role="tab">Token</button>
    </li>
    <li class="nav-item" role="presentation">
        <button class="nav-link disabled" id="project-tab" data-bs-toggle="tab" data-bs-target="#project-tab-pane"
            type="button" role="tab">Project</button>
    </li>
    <li class="nav-item" role="presentation">
        <button class="nav-link disabled" id="resource-tab" data-bs-toggle="tab" data-bs-target="#resource-tab-pane"
            type="button" role="tab">Resource</button>
    </li>
    <li class="nav-item" role="presentation">
        <button class="nav-link disabled" id="metadata-tab" data-bs-toggle="tab" data-bs-target="#metadata-tab-pane"
            type="button" role="tab">Metadata</button>
    </li>
</ul>

<div class="tab-content" id="myTabContent">
    <div class="tab-pane fade show active" id="token-tab-pane" role="tabpanel" tabindex="0">
        <form id="submit-token-form" action="/validate_token" method="POST">
            <label for="token">Coscine API Token:</label>
            <input type="password" id="token" placeholder="Enter your Coscine API token here" name="token">
            <input type="submit" id="submit-token" value="Validate Token">
        </form>
    </div>
    <div class="tab-pane fade" id="project-tab-pane" role="tabpanel" tabindex="0">
        <form>
            <select id="project-select" name="project">
            </select>
        </form>
    </div>
    <div class="tab-pane fade" id="resource-tab-pane" role="tabpanel" tabindex="0">
        <form>
            <select id="resource-select" name="resource">
            </select>
        </form>
    </div>
    <div class="tab-pane fade" id="metadata-tab-pane" role="tabpanel" tabindex="0">
        <form id="metadata-form">
        </form>
    </div>
</div>

<script src="{{ url_for('static', filename='js/main.js') }}"></script>

{% endblock %}